%define upstream_name    Dist-Zilla-Plugin-OSPrereqs
%define upstream_version 0.011

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    List prereqs conditional on operating system
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker) >= 5.22.0
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Moose)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This the Dist::Zilla manpage plugin allows you to specify OS-specific
prerequisites. You must give the plugin a name corresponding to an
operating system that would appear in '$^O'. Any prerequisites listed will
be conditionally added to 'PREREQ_PM' in the Makefile.PL

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.11.0-5.mga10
+ Revision: 2203654
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.11.0-4.mga9
+ Revision: 1808958
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.11.0-3.mga8
+ Revision: 1504095
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.11.0-2.mga7
+ Revision: 1283152
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 shlomif <shlomif> 0.11.0-1.mga7
+ Revision: 1238926
- update to 0.011

* Mon Apr 23 2018 shlomif <shlomif> 0.10.0-1.mga7
+ Revision: 1221557
- update to 0.010

* Mon Oct 02 2017 tv <tv> 0.8.0-2.mga7
+ Revision: 1164257
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.8.0-1.mga7
+ Revision: 1157647
- update to 0.008

* Sun Jun 19 2016 pterjan <pterjan> 0.7.0-2.mga6
+ Revision: 1026461
- Rebuild for perl 5.22.2

* Sat Apr 30 2016 shlomif <shlomif> 0.7.0-1.mga6
+ Revision: 1008033
- Add missing BR
- update to 0.007

* Fri Feb 19 2016 umeabot <umeabot> 0.5.0-5.mga6
+ Revision: 970333
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 sander85 <sander85> 0.5.0-4.mga6
+ Revision: 885948
- Fix BRs

* Thu Oct 16 2014 umeabot <umeabot> 0.5.0-3.mga5
+ Revision: 768808
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Jul 16 2014 sander85 <sander85> 0.5.0-1.mga5
+ Revision: 653209
- update to 0.005

* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-3.mga4
+ Revision: 511130
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 366308
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 0.3.0-1.mga3
+ Revision: 297973
- update to 0.003

* Mon Mar 14 2011 jquelin <jquelin> 0.2.0-1.mga1
+ Revision: 71276
- imported package perl-Dist-Zilla-Plugin-OSPrereqs


* Mon Mar 14 2011 cpan2dist 0.002-1mga
- initial mageia release, generated with cpan2dist
